/*
 * Copyright (C) 2022 jimj316
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package moe.nekojimi.chords;

import com.amihaiemil.eoyaml.YamlMapping;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author jimj316
 */
public class Playlist
{

    private final String name;
    private final List<Song> songs = new ArrayList<>();

    public Playlist(String name)
    {
        this.name = name;
    }

    public YamlMapping toYaml()
    {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    public static Playlist fromYaml(YamlMapping yaml)
    {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    public void addSong(Song song)
    {
        song.setKept(true);
        songs.add(song);
    }

    public String getName()
    {
        return name;
    }

    public List<Song> getSongs()
    {
        return songs;
    }

}
