/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package moe.nekojimi.chords.commands;

import java.util.List;
import moe.nekojimi.chords.Main;
import net.dv8tion.jda.api.events.message.guild.GuildMessageReceivedEvent;

/**
 *
 * @author jimj316
 */
public abstract class Command
{

    protected final Main bot;
    protected final String keyword;
    protected String documentation;

    public Command(Main bot, String keyword)
    {
        this.bot = bot;
        this.keyword = keyword;
    }

    public abstract void call(GuildMessageReceivedEvent event, List<String> arg);

    public String getKeyword()
    {
        return keyword;
    }

    public String getDocumentation()
    {
        return documentation;
    }

}
